BarChart (GWT Maven Archetype 1.5.0-SNAPSHOT API)
Date: 2014-05-31

org.gcube.messaging.accounting.nodeaccountingportlet.charts

## Class BarChart

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.googlecode.gchart.client.GChart
        - - org.gcube.messaging.accounting.nodeaccountingportlet.charts.BarChart

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget, com.google.gwt.user.client.ui.SourcesClickEvents

      public class BarChart
      extends com.googlecode.gchart.client.GChart

  Author:
    Andrea Manzi (CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.googlecode.gchart.client.GChart

      `com.googlecode.gchart.client.GChart.AnnotationLocation, com.googlecode.gchart.client.GChart.Axis, com.googlecode.gchart.client.GChart.Curve, com.googlecode.gchart.client.GChart.Symbol, com.googlecode.gchart.client.GChart.SymbolType, com.googlecode.gchart.client.GChart.TickLocation, com.googlecode.gchart.client.GChart.TouchedPointUpdateOption, com.googlecode.gchart.client.GChart.XAxis, com.googlecode.gchart.client.GChart.Y2Axis, com.googlecode.gchart.client.GChart.YAxis`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.googlecode.gchart.client.GChart

      `DEFAULT_ANNOTATION_FONTSIZE, DEFAULT_BAR_FILL_SPACING, DEFAULT_BLANK_IMAGE_URL, DEFAULT_BLANK_IMAGE_URL_FULLPATH, DEFAULT_BRUSH_HEIGHT, DEFAULT_BRUSH_WIDTH, DEFAULT_FONT_COLOR, DEFAULT_FONT_STYLE, DEFAULT_FONT_WEIGHT, DEFAULT_FOOTNOTES_THICKNESS, DEFAULT_GRID_COLOR, DEFAULT_HBAR_BASELINE_HOVER_LOCATION, DEFAULT_HBARLEFT_HOVER_LOCATION, DEFAULT_HBARRIGHT_HOVER_LOCATION, DEFAULT_HOVER_LOCATION, DEFAULT_HOVERTEXT_TEMPLATE, DEFAULT_LEGEND_BACKGROUND_COLOR, DEFAULT_LEGEND_BORDER_COLOR, DEFAULT_LEGEND_BORDER_STYLE, DEFAULT_LEGEND_BORDER_WIDTH, DEFAULT_LEGEND_FONTSIZE, DEFAULT_LINE_FILL_SPACING, DEFAULT_LINE_FILL_THICKNESS, DEFAULT_PIE_SLICE_FILL_SPACING, DEFAULT_PIE_SLICE_FILL_THICKNESS, DEFAULT_PIE_SLICE_HOVER_LOCATION, DEFAULT_PIE_SLICE_HOVERTEXT_TEMPLATE, DEFAULT_PLOTAREA_BACKGROUND_COLOR, DEFAULT_PLOTAREA_BORDER_COLOR, DEFAULT_PLOTAREA_BORDER_STYLE, DEFAULT_PLOTAREA_BORDER_WIDTH, DEFAULT_SYMBOL_BACKGROUND_COLOR, DEFAULT_SYMBOL_BORDER_COLORS, DEFAULT_SYMBOL_BORDER_STYLE, DEFAULT_SYMBOL_BORDER_WIDTH, DEFAULT_SYMBOL_FILL_SPACING, DEFAULT_SYMBOL_FILL_THICKNESS, DEFAULT_SYMBOL_HEIGHT, DEFAULT_SYMBOL_TYPE, DEFAULT_SYMBOL_WIDTH, DEFAULT_TICK_COUNT, DEFAULT_TICK_LABEL_FONT_COLOR, DEFAULT_TICK_LABEL_FONT_STYLE, DEFAULT_TICK_LABEL_FONT_WEIGHT, DEFAULT_TICK_LABEL_FONTSIZE, DEFAULT_TICK_LABEL_FORMAT, DEFAULT_TICK_LENGTH, DEFAULT_TICK_LOCATION, DEFAULT_TICK_THICKNESS, DEFAULT_TITLE_THICKNESS, DEFAULT_VBAR_BASELINE_HOVER_LOCATION, DEFAULT_VBARBOTTOM_HOVER_LOCATION, DEFAULT_VBARTOP_HOVER_LOCATION, DEFAULT_WIDGET_HEIGHT_UPPERBOUND, DEFAULT_WIDGET_WIDTH_UPPERBOUND, DEFAULT_X_CHARTSIZE, DEFAULT_Y_CHARTSIZE, NAI, TRANSPARENT_BORDER_COLOR, USE_CSS, Y_AXIS, Y2_AXIS`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarChart(String title, com.gwtext.client.data.Record[] records)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `max(com.gwtext.client.data.Record[] t)`
    `void` | `showGraph()`

    - ### Methods inherited from class com.googlecode.gchart.client.GChart

      `addClickListener, addCurve, addCurve, clearCurves, formatAsHovertext, getBackgroundColor, getBlankImageURL, getBorderColor, getBorderStyle, getBorderWidth, getCanvasFactory, getChartFootnotes, getChartFootnotesLeftJustified, getChartFootnotesThickness, getChartTitle, getChartTitleThickness, getClipToDecoratedChart, getClipToPlotArea, getClosestBrushTouchingPoint, getCurve, getCurve, getCurveIndex, getFontFamily, getGridColor, getHoverParameterInterpreter, getHoverTouchingEnabled, getInitialPieSliceOrientation, getLegendBackgroundColor, getLegendBorderColor, getLegendBorderStyle, getLegendBorderWidth, getLegendFontColor, getLegendFontSize, getLegendFontStyle, getLegendFontWeight, getLegendThickness, getNCurves, getOptimizeForMemory, getPadding, getPlotAreaBackgroundColor, getPlotAreaBorderColor, getPlotAreaBorderStyle, getPlotAreaBorderWidth, getPlotAreaImageURL, getShowOffChartPoints, getShowOffDecoratedChartGlyphs, getTouchedCurve, getTouchedPoint, getXAxis, getXChartSize, getXChartSizeDecorated, getY2Axis, getYAxis, getYChartSize, getYChartSizeDecorated, hasY2Axis, hasYAxis, isLegendVisible, isUpdateNeeded, removeClickListener, removeCurve, removeCurve, setBackgroundColor, setBlankImageURL, setBorderColor, setBorderStyle, setBorderWidth, setCanvasFactory, setChartFootnotes, setChartFootnotes, setChartFootnotesLeftJustified, setChartFootnotesThickness, setChartSize, setChartTitle, setChartTitle, setChartTitleThickness, setClipToDecoratedChart, setClipToPlotArea, setDefaultSymbolBorderColors, setFontFamily, setGridColor, setHoverParameterInterpreter, setHoverTouchingEnabled, setInitialPieSliceOrientation, setLegendBackgroundColor, setLegendBorderColor, setLegendBorderStyle, setLegendBorderWidth, setLegendFontColor, setLegendFontSize, setLegendFontStyle, setLegendFontWeight, setLegendThickness, setLegendVisible, setOptimizeForMemory, setPadding, setPlotAreaBackgroundColor, setPlotAreaBorderColor, setPlotAreaBorderStyle, setPlotAreaBorderWidth, setPlotAreaImageURL, setShowOffChartPoints, setShowOffDecoratedChartGlyphs, setXChartSize, setYChartSize, touch, update, update`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BarChart

          public BarChart(String title,
                  com.gwtext.client.data.Record[] records)

  - ### Method Detail

    - #### max

          public double max(com.gwtext.client.data.Record[] t)

    - #### showGraph

          public void showGraph()

Copyright © 2014. All Rights Reserved.